## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaIndexField

### DatabaseSchema::ezcDbSchemaIndexField

### Class ezcDbSchemaIndexField

A container to store a table index' field in.

Source for this file: /DatabaseSchema/src/structs/index_field.php

    ezcBaseStruct
       |
       --ezcDbSchemaIndexField

Version: | //autogentag//

### Member Variables

public int | `$sorting` The sorting of the index (false = descending, true = ascending)

### Method Summary

public static void | `__set_state( $array )`
public ezcDbSchemaIndexField | `__construct( [ $sorting = null] )` Constructs an ezcDbSchemaIndexField object.

### Methods

#### __set_state

static void __set_state( $array )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array |

#### __construct

ezcDbSchemaIndexField __construct( [int $sorting = null] )

Constructs an ezcDbSchemaIndexField object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$sorting` | int |

Documentation generated by phpDocumentor 1.4.3